Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » DTP » How do I repair eclipse (remove datatools)?
How do I repair eclipse (remove datatools)? [message #54596] Tue, 07 April 2009 19:10 Go to next message
Eclipse UserFriend
Originally posted by: asd.asd.com

I have updated eclipse through the update manager for Vista 32 bit. But each
time I try to install something new I get:

An error occurred while collecting items to be installed
No repository found containing:
org.eclipse.datatools.enablement.ibm.feature/org.eclipse.upd ate.feature/1.6.0.v200804021-7D40EB7sQS9RWfUjJLb
No repository found containing:
org.eclipse.datatools.enablement.jdt.feature/org.eclipse.upd ate.feature/1.6.0.v200804021-1-07w311916263466
No repository found containing:
org.eclipse.datatools.enablement.mysql.feature/org.eclipse.u pdate.feature/1.6.0.v200804021-441_kE77c7QASCMPN
No repository found containing:
org.eclipse.datatools.enablement.sybase.ase/osgi.bundle/1.0. 1.v200807010411
No repository found containing:
org.eclipse.datatools.enablement.sybase.feature/org.eclipse. update.feature/1.6.1.v200809191145-7A-5E9IgKLhLGetRuu9
No repository found containing:
org.eclipse.datatools.enablement.sybase.ui/osgi.bundle/1.0.0 .v200808221518
No repository found containing:
org.eclipse.datatools.sqldevtools.data.feature/org.eclipse.u pdate.feature/1.6.1.v200809191145-30-9oA55S5SBG5ND5
No repository found containing:
org.eclipse.datatools.sqltools.data.core/osgi.bundle/1.0.0.v 200808260630
No repository found containing:
org.eclipse.datatools.sqltools.data.ui/osgi.bundle/1.1.0.v20 0808260630
No repository found containing:
org.eclipse.datatools.sqltools.tabledataeditor/osgi.bundle/1 .0.0.v200808300730


It also happens when I try to uninstall plugins. When I eg. try to uninstall
the C/C++ Development Platform I also get the above message. It seems that
dtp has corrupted
the eclipse update manager. Is there someway to fix this kind of problem
without reinstalling eclipse?
Re: How do I repair eclipse (remove datatools)? [message #54624 is a reply to message #54596] Tue, 07 April 2009 22:55 Go to previous messageGo to next message
Eclipse UserFriend
Originally posted by: brianf.sybase.com

Can anybody help out JS?

JS, can you provide some additional details... What version of Eclipse are
you using? What version of DTP are you trying to install? Etc...

--Fitz

"JS" <asd@asd.com> wrote in message news:grg8fu$8l2$1@build.eclipse.org...
>I have updated eclipse through the update manager for Vista 32 bit. But
>each time I try to install something new I get:
>
> An error occurred while collecting items to be installed
> No repository found containing:
> org.eclipse.datatools.enablement.ibm.feature/org.eclipse.upd ate.feature/1.6.0.v200804021-7D40EB7sQS9RWfUjJLb
> No repository found containing:
> org.eclipse.datatools.enablement.jdt.feature/org.eclipse.upd ate.feature/1.6.0.v200804021-1-07w311916263466
> No repository found containing:
> org.eclipse.datatools.enablement.mysql.feature/org.eclipse.u pdate.feature/1.6.0.v200804021-441_kE77c7QASCMPN
> No repository found containing:
> org.eclipse.datatools.enablement.sybase.ase/osgi.bundle/1.0. 1.v200807010411
> No repository found containing:
> org.eclipse.datatools.enablement.sybase.feature/org.eclipse. update.feature/1.6.1.v200809191145-7A-5E9IgKLhLGetRuu9
> No repository found containing:
> org.eclipse.datatools.enablement.sybase.ui/osgi.bundle/1.0.0 .v200808221518
> No repository found containing:
> org.eclipse.datatools.sqldevtools.data.feature/org.eclipse.u pdate.feature/1.6.1.v200809191145-30-9oA55S5SBG5ND5
> No repository found containing:
> org.eclipse.datatools.sqltools.data.core/osgi.bundle/1.0.0.v 200808260630
> No repository found containing:
> org.eclipse.datatools.sqltools.data.ui/osgi.bundle/1.1.0.v20 0808260630
> No repository found containing:
> org.eclipse.datatools.sqltools.tabledataeditor/osgi.bundle/1 .0.0.v200808300730
>
>
> It also happens when I try to uninstall plugins. When I eg. try to
> uninstall the C/C++ Development Platform I also get the above message. It
> seems that dtp has corrupted
> the eclipse update manager. Is there someway to fix this kind of problem
> without reinstalling eclipse?
Re: How do I repair eclipse (remove datatools)? [message #54676 is a reply to message #54624] Wed, 08 April 2009 08:16 Go to previous messageGo to next message
Eclipse UserFriend
Originally posted by: asd.asd.com

I am using eclipse:

Version: 3.4.2
Build id: M20090211-1700

As described earlier the error does not only appear when I try to install
dtp 1.6.1 but also when I try to uninstall some of the other plugins.

When I look at "Installed software" I don't find any references to dtp, so I
don't know why its looking in those repositories.



"Brian Fitzpatrick" <brianf@sybase.com> wrote in message
news:grgllu$j1a$1@build.eclipse.org...
> Can anybody help out JS?
>
> JS, can you provide some additional details... What version of Eclipse are
> you using? What version of DTP are you trying to install? Etc...
>
> --Fitz
>
> "JS" <asd@asd.com> wrote in message news:grg8fu$8l2$1@build.eclipse.org...
>>I have updated eclipse through the update manager for Vista 32 bit. But
>>each time I try to install something new I get:
>>
>> An error occurred while collecting items to be installed
>> No repository found containing:
>> org.eclipse.datatools.enablement.ibm.feature/org.eclipse.upd ate.feature/1.6.0.v200804021-7D40EB7sQS9RWfUjJLb
>> No repository found containing:
>> org.eclipse.datatools.enablement.jdt.feature/org.eclipse.upd ate.feature/1.6.0.v200804021-1-07w311916263466
>> No repository found containing:
>> org.eclipse.datatools.enablement.mysql.feature/org.eclipse.u pdate.feature/1.6.0.v200804021-441_kE77c7QASCMPN
>> No repository found containing:
>> org.eclipse.datatools.enablement.sybase.ase/osgi.bundle/1.0. 1.v200807010411
>> No repository found containing:
>> org.eclipse.datatools.enablement.sybase.feature/org.eclipse. update.feature/1.6.1.v200809191145-7A-5E9IgKLhLGetRuu9
>> No repository found containing:
>> org.eclipse.datatools.enablement.sybase.ui/osgi.bundle/1.0.0 .v200808221518
>> No repository found containing:
>> org.eclipse.datatools.sqldevtools.data.feature/org.eclipse.u pdate.feature/1.6.1.v200809191145-30-9oA55S5SBG5ND5
>> No repository found containing:
>> org.eclipse.datatools.sqltools.data.core/osgi.bundle/1.0.0.v 200808260630
>> No repository found containing:
>> org.eclipse.datatools.sqltools.data.ui/osgi.bundle/1.1.0.v20 0808260630
>> No repository found containing:
>> org.eclipse.datatools.sqltools.tabledataeditor/osgi.bundle/1 .0.0.v200808300730
>>
>>
>> It also happens when I try to uninstall plugins. When I eg. try to
>> uninstall the C/C++ Development Platform I also get the above message. It
>> seems that dtp has corrupted
>> the eclipse update manager. Is there someway to fix this kind of problem
>> without reinstalling eclipse?
>
>
Re: How do I repair eclipse (remove datatools)? [message #54836 is a reply to message #54676] Thu, 09 April 2009 04:22 Go to previous messageGo to next message
Mark Leone is currently offline Mark LeoneFriend
Messages: 123
Registered: July 2009
Senior Member
I had a similar problem when I first installed DTP a month or so ago. I
figured the repository I was pointing to with the update manager was
temporarily unreachable for some reason. I downloaded the zip file with
the DTP code and installed it from my file system.

The errors stopped appearing, but I may have done something else as
well, I'm not sure. Perhaps you should click "Manage Sites" in the
Software Update window, and delete the DTP sites, then install DTP from
your file system.

-Mark

JS wrote:
> I am using eclipse:
>
> Version: 3.4.2
> Build id: M20090211-1700
>
> As described earlier the error does not only appear when I try to
> install dtp 1.6.1 but also when I try to uninstall some of the other
> plugins.
>
> When I look at "Installed software" I don't find any references to dtp,
> so I don't know why its looking in those repositories.
>
>
>
> "Brian Fitzpatrick" <brianf@sybase.com> wrote in message
> news:grgllu$j1a$1@build.eclipse.org...
>> Can anybody help out JS?
>>
>> JS, can you provide some additional details... What version of Eclipse
>> are you using? What version of DTP are you trying to install? Etc...
>>
>> --Fitz
>>
>> "JS" <asd@asd.com> wrote in message
>> news:grg8fu$8l2$1@build.eclipse.org...
>>> I have updated eclipse through the update manager for Vista 32 bit.
>>> But each time I try to install something new I get:
>>>
>>> An error occurred while collecting items to be installed
>>> No repository found containing:
>>> org.eclipse.datatools.enablement.ibm.feature/org.eclipse.upd ate.feature/1.6.0.v200804021-7D40EB7sQS9RWfUjJLb
>>>
>>> No repository found containing:
>>> org.eclipse.datatools.enablement.jdt.feature/org.eclipse.upd ate.feature/1.6.0.v200804021-1-07w311916263466
>>>
>>> No repository found containing:
>>> org.eclipse.datatools.enablement.mysql.feature/org.eclipse.u pdate.feature/1.6.0.v200804021-441_kE77c7QASCMPN
>>>
>>> No repository found containing:
>>> org.eclipse.datatools.enablement.sybase.ase/osgi.bundle/1.0. 1.v200807010411
>>>
>>> No repository found containing:
>>> org.eclipse.datatools.enablement.sybase.feature/org.eclipse. update.feature/1.6.1.v200809191145-7A-5E9IgKLhLGetRuu9
>>>
>>> No repository found containing:
>>> org.eclipse.datatools.enablement.sybase.ui/osgi.bundle/1.0.0 .v200808221518
>>>
>>> No repository found containing:
>>> org.eclipse.datatools.sqldevtools.data.feature/org.eclipse.u pdate.feature/1.6.1.v200809191145-30-9oA55S5SBG5ND5
>>>
>>> No repository found containing:
>>> org.eclipse.datatools.sqltools.data.core/osgi.bundle/1.0.0.v 200808260630
>>> No repository found containing:
>>> org.eclipse.datatools.sqltools.data.ui/osgi.bundle/1.1.0.v20 0808260630
>>> No repository found containing:
>>> org.eclipse.datatools.sqltools.tabledataeditor/osgi.bundle/1 .0.0.v200808300730
>>>
>>>
>>>
>>> It also happens when I try to uninstall plugins. When I eg. try to
>>> uninstall the C/C++ Development Platform I also get the above
>>> message. It seems that dtp has corrupted
>>> the eclipse update manager. Is there someway to fix this kind of
>>> problem without reinstalling eclipse?
>>
>>
>
Re: How do I repair eclipse (remove datatools)? [message #54863 is a reply to message #54836] Thu, 09 April 2009 09:57 Go to previous messageGo to next message
Eclipse UserFriend
Originally posted by: asd.asd.com

If I remove DTP from "Manage Sites" I cannot install or uninstall anything
anymore, it just hangs (for some reason it reads from the DTP repositories
before it can uninstall eg the C++ plugin). Seems a reinstall of eclipse is
the only solution, even though it could be nice to know what is wrong with
DTP.


"Mark Leone" <midnightjava@verizon.net> wrote in message
news:grjt68$p28$1@build.eclipse.org...
>I had a similar problem when I first installed DTP a month or so ago. I
>figured the repository I was pointing to with the update manager was
>temporarily unreachable for some reason. I downloaded the zip file with the
>DTP code and installed it from my file system.
>
> The errors stopped appearing, but I may have done something else as well,
> I'm not sure. Perhaps you should click "Manage Sites" in the Software
> Update window, and delete the DTP sites, then install DTP from your file
> system.
>
> -Mark
>
> JS wrote:
>> I am using eclipse:
>>
>> Version: 3.4.2
>> Build id: M20090211-1700
>>
>> As described earlier the error does not only appear when I try to install
>> dtp 1.6.1 but also when I try to uninstall some of the other plugins.
>>
>> When I look at "Installed software" I don't find any references to dtp,
>> so I don't know why its looking in those repositories.
>>
>>
>>
>> "Brian Fitzpatrick" <brianf@sybase.com> wrote in message
>> news:grgllu$j1a$1@build.eclipse.org...
>>> Can anybody help out JS?
>>>
>>> JS, can you provide some additional details... What version of Eclipse
>>> are you using? What version of DTP are you trying to install? Etc...
>>>
>>> --Fitz
>>>
>>> "JS" <asd@asd.com> wrote in message
>>> news:grg8fu$8l2$1@build.eclipse.org...
>>>> I have updated eclipse through the update manager for Vista 32 bit. But
>>>> each time I try to install something new I get:
>>>>
>>>> An error occurred while collecting items to be installed
>>>> No repository found containing:
>>>> org.eclipse.datatools.enablement.ibm.feature/org.eclipse.upd ate.feature/1.6.0.v200804021-7D40EB7sQS9RWfUjJLb
>>>> No repository found containing:
>>>> org.eclipse.datatools.enablement.jdt.feature/org.eclipse.upd ate.feature/1.6.0.v200804021-1-07w311916263466
>>>> No repository found containing:
>>>> org.eclipse.datatools.enablement.mysql.feature/org.eclipse.u pdate.feature/1.6.0.v200804021-441_kE77c7QASCMPN
>>>> No repository found containing:
>>>> org.eclipse.datatools.enablement.sybase.ase/osgi.bundle/1.0. 1.v200807010411
>>>> No repository found containing:
>>>> org.eclipse.datatools.enablement.sybase.feature/org.eclipse. update.feature/1.6.1.v200809191145-7A-5E9IgKLhLGetRuu9
>>>> No repository found containing:
>>>> org.eclipse.datatools.enablement.sybase.ui/osgi.bundle/1.0.0 .v200808221518
>>>> No repository found containing:
>>>> org.eclipse.datatools.sqldevtools.data.feature/org.eclipse.u pdate.feature/1.6.1.v200809191145-30-9oA55S5SBG5ND5
>>>> No repository found containing:
>>>> org.eclipse.datatools.sqltools.data.core/osgi.bundle/1.0.0.v 200808260630
>>>> No repository found containing:
>>>> org.eclipse.datatools.sqltools.data.ui/osgi.bundle/1.1.0.v20 0808260630
>>>> No repository found containing:
>>>> org.eclipse.datatools.sqltools.tabledataeditor/osgi.bundle/1 .0.0.v200808300730
>>>>
>>>>
>>>> It also happens when I try to uninstall plugins. When I eg. try to
>>>> uninstall the C/C++ Development Platform I also get the above message.
>>>> It seems that dtp has corrupted
>>>> the eclipse update manager. Is there someway to fix this kind of
>>>> problem without reinstalling eclipse?
>>>
>>>
>>
Re: How do I repair eclipse (remove datatools)? [message #54891 is a reply to message #54863] Thu, 09 April 2009 10:03 Go to previous messageGo to next message
Eclipse UserFriend
Originally posted by: asd.asd.com

Update: I have tried removing the check in "Web Tools (WTP) Update Site"
under "Manage Sites" and now I can uninstall the C++ plugin. Are there any
connection/dependency between WTP and DTP?


"JS" <asd@asd.com> wrote in message news:grkgr3$a30$1@build.eclipse.org...
> If I remove DTP from "Manage Sites" I cannot install or uninstall anything
> anymore, it just hangs (for some reason it reads from the DTP repositories
> before it can uninstall eg the C++ plugin). Seems a reinstall of eclipse
> is the only solution, even though it could be nice to know what is wrong
> with DTP.
>
>
> "Mark Leone" <midnightjava@verizon.net> wrote in message
> news:grjt68$p28$1@build.eclipse.org...
>>I had a similar problem when I first installed DTP a month or so ago. I
>>figured the repository I was pointing to with the update manager was
>>temporarily unreachable for some reason. I downloaded the zip file with
>>the DTP code and installed it from my file system.
>>
>> The errors stopped appearing, but I may have done something else as well,
>> I'm not sure. Perhaps you should click "Manage Sites" in the Software
>> Update window, and delete the DTP sites, then install DTP from your file
>> system.
>>
>> -Mark
>>
>> JS wrote:
>>> I am using eclipse:
>>>
>>> Version: 3.4.2
>>> Build id: M20090211-1700
>>>
>>> As described earlier the error does not only appear when I try to
>>> install dtp 1.6.1 but also when I try to uninstall some of the other
>>> plugins.
>>>
>>> When I look at "Installed software" I don't find any references to dtp,
>>> so I don't know why its looking in those repositories.
>>>
>>>
>>>
>>> "Brian Fitzpatrick" <brianf@sybase.com> wrote in message
>>> news:grgllu$j1a$1@build.eclipse.org...
>>>> Can anybody help out JS?
>>>>
>>>> JS, can you provide some additional details... What version of Eclipse
>>>> are you using? What version of DTP are you trying to install? Etc...
>>>>
>>>> --Fitz
>>>>
>>>> "JS" <asd@asd.com> wrote in message
>>>> news:grg8fu$8l2$1@build.eclipse.org...
>>>>> I have updated eclipse through the update manager for Vista 32 bit.
>>>>> But each time I try to install something new I get:
>>>>>
>>>>> An error occurred while collecting items to be installed
>>>>> No repository found containing:
>>>>> org.eclipse.datatools.enablement.ibm.feature/org.eclipse.upd ate.feature/1.6.0.v200804021-7D40EB7sQS9RWfUjJLb
>>>>> No repository found containing:
>>>>> org.eclipse.datatools.enablement.jdt.feature/org.eclipse.upd ate.feature/1.6.0.v200804021-1-07w311916263466
>>>>> No repository found containing:
>>>>> org.eclipse.datatools.enablement.mysql.feature/org.eclipse.u pdate.feature/1.6.0.v200804021-441_kE77c7QASCMPN
>>>>> No repository found containing:
>>>>> org.eclipse.datatools.enablement.sybase.ase/osgi.bundle/1.0. 1.v200807010411
>>>>> No repository found containing:
>>>>> org.eclipse.datatools.enablement.sybase.feature/org.eclipse. update.feature/1.6.1.v200809191145-7A-5E9IgKLhLGetRuu9
>>>>> No repository found containing:
>>>>> org.eclipse.datatools.enablement.sybase.ui/osgi.bundle/1.0.0 .v200808221518
>>>>> No repository found containing:
>>>>> org.eclipse.datatools.sqldevtools.data.feature/org.eclipse.u pdate.feature/1.6.1.v200809191145-30-9oA55S5SBG5ND5
>>>>> No repository found containing:
>>>>> org.eclipse.datatools.sqltools.data.core/osgi.bundle/1.0.0.v 200808260630
>>>>> No repository found containing:
>>>>> org.eclipse.datatools.sqltools.data.ui/osgi.bundle/1.1.0.v20 0808260630
>>>>> No repository found containing:
>>>>> org.eclipse.datatools.sqltools.tabledataeditor/osgi.bundle/1 .0.0.v200808300730
>>>>>
>>>>>
>>>>> It also happens when I try to uninstall plugins. When I eg. try to
>>>>> uninstall the C/C++ Development Platform I also get the above message.
>>>>> It seems that dtp has corrupted
>>>>> the eclipse update manager. Is there someway to fix this kind of
>>>>> problem without reinstalling eclipse?
>>>>
>>>>
>>>
>
Re: How do I repair eclipse (remove datatools)? [message #54918 is a reply to message #54891] Thu, 09 April 2009 13:52 Go to previous messageGo to next message
Eclipse UserFriend
Originally posted by: brianf.sybase.com

WTP is dependent on DTP, but if you install WTP it should install the
correct version of DTP along with it.

I'm not a big fan of the update manager. I just grab zips for the most part
and install them directly as Mark mentioned.

--Fitz

"JS" <asd@asd.com> wrote in message news:grkh5i$c80$1@build.eclipse.org...
> Update: I have tried removing the check in "Web Tools (WTP) Update Site"
> under "Manage Sites" and now I can uninstall the C++ plugin. Are there any
> connection/dependency between WTP and DTP?
>
>
> "JS" <asd@asd.com> wrote in message news:grkgr3$a30$1@build.eclipse.org...
>> If I remove DTP from "Manage Sites" I cannot install or uninstall
>> anything anymore, it just hangs (for some reason it reads from the DTP
>> repositories before it can uninstall eg the C++ plugin). Seems a
>> reinstall of eclipse is the only solution, even though it could be nice
>> to know what is wrong with DTP.
>>
>>
>> "Mark Leone" <midnightjava@verizon.net> wrote in message
>> news:grjt68$p28$1@build.eclipse.org...
>>>I had a similar problem when I first installed DTP a month or so ago. I
>>>figured the repository I was pointing to with the update manager was
>>>temporarily unreachable for some reason. I downloaded the zip file with
>>>the DTP code and installed it from my file system.
>>>
>>> The errors stopped appearing, but I may have done something else as
>>> well, I'm not sure. Perhaps you should click "Manage Sites" in the
>>> Software Update window, and delete the DTP sites, then install DTP from
>>> your file system.
>>>
>>> -Mark
>>>
>>> JS wrote:
>>>> I am using eclipse:
>>>>
>>>> Version: 3.4.2
>>>> Build id: M20090211-1700
>>>>
>>>> As described earlier the error does not only appear when I try to
>>>> install dtp 1.6.1 but also when I try to uninstall some of the other
>>>> plugins.
>>>>
>>>> When I look at "Installed software" I don't find any references to dtp,
>>>> so I don't know why its looking in those repositories.
>>>>
>>>>
>>>>
>>>> "Brian Fitzpatrick" <brianf@sybase.com> wrote in message
>>>> news:grgllu$j1a$1@build.eclipse.org...
>>>>> Can anybody help out JS?
>>>>>
>>>>> JS, can you provide some additional details... What version of Eclipse
>>>>> are you using? What version of DTP are you trying to install? Etc...
>>>>>
>>>>> --Fitz
>>>>>
>>>>> "JS" <asd@asd.com> wrote in message
>>>>> news:grg8fu$8l2$1@build.eclipse.org...
>>>>>> I have updated eclipse through the update manager for Vista 32 bit.
>>>>>> But each time I try to install something new I get:
>>>>>>
>>>>>> An error occurred while collecting items to be installed
>>>>>> No repository found containing:
>>>>>> org.eclipse.datatools.enablement.ibm.feature/org.eclipse.upd ate.feature/1.6.0.v200804021-7D40EB7sQS9RWfUjJLb
>>>>>> No repository found containing:
>>>>>> org.eclipse.datatools.enablement.jdt.feature/org.eclipse.upd ate.feature/1.6.0.v200804021-1-07w311916263466
>>>>>> No repository found containing:
>>>>>> org.eclipse.datatools.enablement.mysql.feature/org.eclipse.u pdate.feature/1.6.0.v200804021-441_kE77c7QASCMPN
>>>>>> No repository found containing:
>>>>>> org.eclipse.datatools.enablement.sybase.ase/osgi.bundle/1.0. 1.v200807010411
>>>>>> No repository found containing:
>>>>>> org.eclipse.datatools.enablement.sybase.feature/org.eclipse. update.feature/1.6.1.v200809191145-7A-5E9IgKLhLGetRuu9
>>>>>> No repository found containing:
>>>>>> org.eclipse.datatools.enablement.sybase.ui/osgi.bundle/1.0.0 .v200808221518
>>>>>> No repository found containing:
>>>>>> org.eclipse.datatools.sqldevtools.data.feature/org.eclipse.u pdate.feature/1.6.1.v200809191145-30-9oA55S5SBG5ND5
>>>>>> No repository found containing:
>>>>>> org.eclipse.datatools.sqltools.data.core/osgi.bundle/1.0.0.v 200808260630
>>>>>> No repository found containing:
>>>>>> org.eclipse.datatools.sqltools.data.ui/osgi.bundle/1.1.0.v20 0808260630
>>>>>> No repository found containing:
>>>>>> org.eclipse.datatools.sqltools.tabledataeditor/osgi.bundle/1 .0.0.v200808300730
>>>>>>
>>>>>>
>>>>>> It also happens when I try to uninstall plugins. When I eg. try to
>>>>>> uninstall the C/C++ Development Platform I also get the above
>>>>>> message. It seems that dtp has corrupted
>>>>>> the eclipse update manager. Is there someway to fix this kind of
>>>>>> problem without reinstalling eclipse?
>>>>>
>>>>>
>>>>
>>
>
Re: How do I repair eclipse (remove datatools)? [message #56153 is a reply to message #54918] Fri, 01 May 2009 21:26 Go to previous message
Eclipse UserFriend
Originally posted by: brianf.sybase.com

Hi again...

We're trying to narrow down a reproducible scenario to try and figure out
what's going on. We've started to collect details here:

http://wiki.eclipse.org/DTP_1.6.2_Update_Manager_Issues

Please let us know if you find out anything else and we'll continue to bang
on this.

Thanks.
--Fitz

"Brian Fitzpatrick" <brianf@sybase.com> wrote in message
news:grkuj7$ltp$1@build.eclipse.org...
> WTP is dependent on DTP, but if you install WTP it should install the
> correct version of DTP along with it.
>
> I'm not a big fan of the update manager. I just grab zips for the most
> part and install them directly as Mark mentioned.
>
> --Fitz
>
> "JS" <asd@asd.com> wrote in message news:grkh5i$c80$1@build.eclipse.org...
>> Update: I have tried removing the check in "Web Tools (WTP) Update Site"
>> under "Manage Sites" and now I can uninstall the C++ plugin. Are there
>> any connection/dependency between WTP and DTP?
>>
>>
>> "JS" <asd@asd.com> wrote in message
>> news:grkgr3$a30$1@build.eclipse.org...
>>> If I remove DTP from "Manage Sites" I cannot install or uninstall
>>> anything anymore, it just hangs (for some reason it reads from the DTP
>>> repositories before it can uninstall eg the C++ plugin). Seems a
>>> reinstall of eclipse is the only solution, even though it could be nice
>>> to know what is wrong with DTP.
>>>
>>>
>>> "Mark Leone" <midnightjava@verizon.net> wrote in message
>>> news:grjt68$p28$1@build.eclipse.org...
>>>>I had a similar problem when I first installed DTP a month or so ago. I
>>>>figured the repository I was pointing to with the update manager was
>>>>temporarily unreachable for some reason. I downloaded the zip file with
>>>>the DTP code and installed it from my file system.
>>>>
>>>> The errors stopped appearing, but I may have done something else as
>>>> well, I'm not sure. Perhaps you should click "Manage Sites" in the
>>>> Software Update window, and delete the DTP sites, then install DTP from
>>>> your file system.
>>>>
>>>> -Mark
>>>>
>>>> JS wrote:
>>>>> I am using eclipse:
>>>>>
>>>>> Version: 3.4.2
>>>>> Build id: M20090211-1700
>>>>>
>>>>> As described earlier the error does not only appear when I try to
>>>>> install dtp 1.6.1 but also when I try to uninstall some of the other
>>>>> plugins.
>>>>>
>>>>> When I look at "Installed software" I don't find any references to
>>>>> dtp, so I don't know why its looking in those repositories.
>>>>>
>>>>>
>>>>>
>>>>> "Brian Fitzpatrick" <brianf@sybase.com> wrote in message
>>>>> news:grgllu$j1a$1@build.eclipse.org...
>>>>>> Can anybody help out JS?
>>>>>>
>>>>>> JS, can you provide some additional details... What version of
>>>>>> Eclipse are you using? What version of DTP are you trying to install?
>>>>>> Etc...
>>>>>>
>>>>>> --Fitz
>>>>>>
>>>>>> "JS" <asd@asd.com> wrote in message
>>>>>> news:grg8fu$8l2$1@build.eclipse.org...
>>>>>>> I have updated eclipse through the update manager for Vista 32 bit.
>>>>>>> But each time I try to install something new I get:
>>>>>>>
>>>>>>> An error occurred while collecting items to be installed
>>>>>>> No repository found containing:
>>>>>>> org.eclipse.datatools.enablement.ibm.feature/org.eclipse.upd ate.feature/1.6.0.v200804021-7D40EB7sQS9RWfUjJLb
>>>>>>> No repository found containing:
>>>>>>> org.eclipse.datatools.enablement.jdt.feature/org.eclipse.upd ate.feature/1.6.0.v200804021-1-07w311916263466
>>>>>>> No repository found containing:
>>>>>>> org.eclipse.datatools.enablement.mysql.feature/org.eclipse.u pdate.feature/1.6.0.v200804021-441_kE77c7QASCMPN
>>>>>>> No repository found containing:
>>>>>>> org.eclipse.datatools.enablement.sybase.ase/osgi.bundle/1.0. 1.v200807010411
>>>>>>> No repository found containing:
>>>>>>> org.eclipse.datatools.enablement.sybase.feature/org.eclipse. update.feature/1.6.1.v200809191145-7A-5E9IgKLhLGetRuu9
>>>>>>> No repository found containing:
>>>>>>> org.eclipse.datatools.enablement.sybase.ui/osgi.bundle/1.0.0 .v200808221518
>>>>>>> No repository found containing:
>>>>>>> org.eclipse.datatools.sqldevtools.data.feature/org.eclipse.u pdate.feature/1.6.1.v200809191145-30-9oA55S5SBG5ND5
>>>>>>> No repository found containing:
>>>>>>> org.eclipse.datatools.sqltools.data.core/osgi.bundle/1.0.0.v 200808260630
>>>>>>> No repository found containing:
>>>>>>> org.eclipse.datatools.sqltools.data.ui/osgi.bundle/1.1.0.v20 0808260630
>>>>>>> No repository found containing:
>>>>>>> org.eclipse.datatools.sqltools.tabledataeditor/osgi.bundle/1 .0.0.v200808300730
>>>>>>>
>>>>>>>
>>>>>>> It also happens when I try to uninstall plugins. When I eg. try to
>>>>>>> uninstall the C/C++ Development Platform I also get the above
>>>>>>> message. It seems that dtp has corrupted
>>>>>>> the eclipse update manager. Is there someway to fix this kind of
>>>>>>> problem without reinstalling eclipse?
>>>>>>
>>>>>>
>>>>>
>>>
>>
>
>
Re: How do I repair eclipse (remove datatools)? [message #595157 is a reply to message #54596] Tue, 07 April 2009 22:55 Go to previous message
Brian Fitzpatrick is currently offline Brian FitzpatrickFriend
Messages: 500
Registered: July 2009
Senior Member
Can anybody help out JS?

JS, can you provide some additional details... What version of Eclipse are
you using? What version of DTP are you trying to install? Etc...

--Fitz

"JS" <asd@asd.com> wrote in message news:grg8fu$8l2$1@build.eclipse.org...
>I have updated eclipse through the update manager for Vista 32 bit. But
>each time I try to install something new I get:
>
> An error occurred while collecting items to be installed
> No repository found containing:
> org.eclipse.datatools.enablement.ibm.feature/org.eclipse.upd ate.feature/1.6.0.v200804021-7D40EB7sQS9RWfUjJLb
> No repository found containing:
> org.eclipse.datatools.enablement.jdt.feature/org.eclipse.upd ate.feature/1.6.0.v200804021-1-07w311916263466
> No repository found containing:
> org.eclipse.datatools.enablement.mysql.feature/org.eclipse.u pdate.feature/1.6.0.v200804021-441_kE77c7QASCMPN
> No repository found containing:
> org.eclipse.datatools.enablement.sybase.ase/osgi.bundle/1.0. 1.v200807010411
> No repository found containing:
> org.eclipse.datatools.enablement.sybase.feature/org.eclipse. update.feature/1.6.1.v200809191145-7A-5E9IgKLhLGetRuu9
> No repository found containing:
> org.eclipse.datatools.enablement.sybase.ui/osgi.bundle/1.0.0 .v200808221518
> No repository found containing:
> org.eclipse.datatools.sqldevtools.data.feature/org.eclipse.u pdate.feature/1.6.1.v200809191145-30-9oA55S5SBG5ND5
> No repository found containing:
> org.eclipse.datatools.sqltools.data.core/osgi.bundle/1.0.0.v 200808260630
> No repository found containing:
> org.eclipse.datatools.sqltools.data.ui/osgi.bundle/1.1.0.v20 0808260630
> No repository found containing:
> org.eclipse.datatools.sqltools.tabledataeditor/osgi.bundle/1 .0.0.v200808300730
>
>
> It also happens when I try to uninstall plugins. When I eg. try to
> uninstall the C/C++ Development Platform I also get the above message. It
> seems that dtp has corrupted
> the eclipse update manager. Is there someway to fix this kind of problem
> without reinstalling eclipse?
Re: How do I repair eclipse (remove datatools)? [message #595171 is a reply to message #54624] Wed, 08 April 2009 08:16 Go to previous message
JS is currently offline JSFriend
Messages: 7
Registered: July 2009
Junior Member
I am using eclipse:

Version: 3.4.2
Build id: M20090211-1700

As described earlier the error does not only appear when I try to install
dtp 1.6.1 but also when I try to uninstall some of the other plugins.

When I look at "Installed software" I don't find any references to dtp, so I
don't know why its looking in those repositories.



"Brian Fitzpatrick" <brianf@sybase.com> wrote in message
news:grgllu$j1a$1@build.eclipse.org...
> Can anybody help out JS?
>
> JS, can you provide some additional details... What version of Eclipse are
> you using? What version of DTP are you trying to install? Etc...
>
> --Fitz
>
> "JS" <asd@asd.com> wrote in message news:grg8fu$8l2$1@build.eclipse.org...
>>I have updated eclipse through the update manager for Vista 32 bit. But
>>each time I try to install something new I get:
>>
>> An error occurred while collecting items to be installed
>> No repository found containing:
>> org.eclipse.datatools.enablement.ibm.feature/org.eclipse.upd ate.feature/1.6.0.v200804021-7D40EB7sQS9RWfUjJLb
>> No repository found containing:
>> org.eclipse.datatools.enablement.jdt.feature/org.eclipse.upd ate.feature/1.6.0.v200804021-1-07w311916263466
>> No repository found containing:
>> org.eclipse.datatools.enablement.mysql.feature/org.eclipse.u pdate.feature/1.6.0.v200804021-441_kE77c7QASCMPN
>> No repository found containing:
>> org.eclipse.datatools.enablement.sybase.ase/osgi.bundle/1.0. 1.v200807010411
>> No repository found containing:
>> org.eclipse.datatools.enablement.sybase.feature/org.eclipse. update.feature/1.6.1.v200809191145-7A-5E9IgKLhLGetRuu9
>> No repository found containing:
>> org.eclipse.datatools.enablement.sybase.ui/osgi.bundle/1.0.0 .v200808221518
>> No repository found containing:
>> org.eclipse.datatools.sqldevtools.data.feature/org.eclipse.u pdate.feature/1.6.1.v200809191145-30-9oA55S5SBG5ND5
>> No repository found containing:
>> org.eclipse.datatools.sqltools.data.core/osgi.bundle/1.0.0.v 200808260630
>> No repository found containing:
>> org.eclipse.datatools.sqltools.data.ui/osgi.bundle/1.1.0.v20 0808260630
>> No repository found containing:
>> org.eclipse.datatools.sqltools.tabledataeditor/osgi.bundle/1 .0.0.v200808300730
>>
>>
>> It also happens when I try to uninstall plugins. When I eg. try to
>> uninstall the C/C++ Development Platform I also get the above message. It
>> seems that dtp has corrupted
>> the eclipse update manager. Is there someway to fix this kind of problem
>> without reinstalling eclipse?
>
>
Re: How do I repair eclipse (remove datatools)? [message #595243 is a reply to message #54676] Thu, 09 April 2009 04:22 Go to previous message
Mark Leone is currently offline Mark LeoneFriend
Messages: 123
Registered: July 2009
Senior Member
I had a similar problem when I first installed DTP a month or so ago. I
figured the repository I was pointing to with the update manager was
temporarily unreachable for some reason. I downloaded the zip file with
the DTP code and installed it from my file system.

The errors stopped appearing, but I may have done something else as
well, I'm not sure. Perhaps you should click "Manage Sites" in the
Software Update window, and delete the DTP sites, then install DTP from
your file system.

-Mark

JS wrote:
> I am using eclipse:
>
> Version: 3.4.2
> Build id: M20090211-1700
>
> As described earlier the error does not only appear when I try to
> install dtp 1.6.1 but also when I try to uninstall some of the other
> plugins.
>
> When I look at "Installed software" I don't find any references to dtp,
> so I don't know why its looking in those repositories.
>
>
>
> "Brian Fitzpatrick" <brianf@sybase.com> wrote in message
> news:grgllu$j1a$1@build.eclipse.org...
>> Can anybody help out JS?
>>
>> JS, can you provide some additional details... What version of Eclipse
>> are you using? What version of DTP are you trying to install? Etc...
>>
>> --Fitz
>>
>> "JS" <asd@asd.com> wrote in message
>> news:grg8fu$8l2$1@build.eclipse.org...
>>> I have updated eclipse through the update manager for Vista 32 bit.
>>> But each time I try to install something new I get:
>>>
>>> An error occurred while collecting items to be installed
>>> No repository found containing:
>>> org.eclipse.datatools.enablement.ibm.feature/org.eclipse.upd ate.feature/1.6.0.v200804021-7D40EB7sQS9RWfUjJLb
>>>
>>> No repository found containing:
>>> org.eclipse.datatools.enablement.jdt.feature/org.eclipse.upd ate.feature/1.6.0.v200804021-1-07w311916263466
>>>
>>> No repository found containing:
>>> org.eclipse.datatools.enablement.mysql.feature/org.eclipse.u pdate.feature/1.6.0.v200804021-441_kE77c7QASCMPN
>>>
>>> No repository found containing:
>>> org.eclipse.datatools.enablement.sybase.ase/osgi.bundle/1.0. 1.v200807010411
>>>
>>> No repository found containing:
>>> org.eclipse.datatools.enablement.sybase.feature/org.eclipse. update.feature/1.6.1.v200809191145-7A-5E9IgKLhLGetRuu9
>>>
>>> No repository found containing:
>>> org.eclipse.datatools.enablement.sybase.ui/osgi.bundle/1.0.0 .v200808221518
>>>
>>> No repository found containing:
>>> org.eclipse.datatools.sqldevtools.data.feature/org.eclipse.u pdate.feature/1.6.1.v200809191145-30-9oA55S5SBG5ND5
>>>
>>> No repository found containing:
>>> org.eclipse.datatools.sqltools.data.core/osgi.bundle/1.0.0.v 200808260630
>>> No repository found containing:
>>> org.eclipse.datatools.sqltools.data.ui/osgi.bundle/1.1.0.v20 0808260630
>>> No repository found containing:
>>> org.eclipse.datatools.sqltools.tabledataeditor/osgi.bundle/1 .0.0.v200808300730
>>>
>>>
>>>
>>> It also happens when I try to uninstall plugins. When I eg. try to
>>> uninstall the C/C++ Development Platform I also get the above
>>> message. It seems that dtp has corrupted
>>> the eclipse update manager. Is there someway to fix this kind of
>>> problem without reinstalling eclipse?
>>
>>
>
Re: How do I repair eclipse (remove datatools)? [message #595253 is a reply to message #54836] Thu, 09 April 2009 09:57 Go to previous message
JS is currently offline JSFriend
Messages: 7
Registered: July 2009
Junior Member
If I remove DTP from "Manage Sites" I cannot install or uninstall anything
anymore, it just hangs (for some reason it reads from the DTP repositories
before it can uninstall eg the C++ plugin). Seems a reinstall of eclipse is
the only solution, even though it could be nice to know what is wrong with
DTP.


"Mark Leone" <midnightjava@verizon.net> wrote in message
news:grjt68$p28$1@build.eclipse.org...
>I had a similar problem when I first installed DTP a month or so ago. I
>figured the repository I was pointing to with the update manager was
>temporarily unreachable for some reason. I downloaded the zip file with the
>DTP code and installed it from my file system.
>
> The errors stopped appearing, but I may have done something else as well,
> I'm not sure. Perhaps you should click "Manage Sites" in the Software
> Update window, and delete the DTP sites, then install DTP from your file
> system.
>
> -Mark
>
> JS wrote:
>> I am using eclipse:
>>
>> Version: 3.4.2
>> Build id: M20090211-1700
>>
>> As described earlier the error does not only appear when I try to install
>> dtp 1.6.1 but also when I try to uninstall some of the other plugins.
>>
>> When I look at "Installed software" I don't find any references to dtp,
>> so I don't know why its looking in those repositories.
>>
>>
>>
>> "Brian Fitzpatrick" <brianf@sybase.com> wrote in message
>> news:grgllu$j1a$1@build.eclipse.org...
>>> Can anybody help out JS?
>>>
>>> JS, can you provide some additional details... What version of Eclipse
>>> are you using? What version of DTP are you trying to install? Etc...
>>>
>>> --Fitz
>>>
>>> "JS" <asd@asd.com> wrote in message
>>> news:grg8fu$8l2$1@build.eclipse.org...
>>>> I have updated eclipse through the update manager for Vista 32 bit. But
>>>> each time I try to install something new I get:
>>>>
>>>> An error occurred while collecting items to be installed
>>>> No repository found containing:
>>>> org.eclipse.datatools.enablement.ibm.feature/org.eclipse.upd ate.feature/1.6.0.v200804021-7D40EB7sQS9RWfUjJLb
>>>> No repository found containing:
>>>> org.eclipse.datatools.enablement.jdt.feature/org.eclipse.upd ate.feature/1.6.0.v200804021-1-07w311916263466
>>>> No repository found containing:
>>>> org.eclipse.datatools.enablement.mysql.feature/org.eclipse.u pdate.feature/1.6.0.v200804021-441_kE77c7QASCMPN
>>>> No repository found containing:
>>>> org.eclipse.datatools.enablement.sybase.ase/osgi.bundle/1.0. 1.v200807010411
>>>> No repository found containing:
>>>> org.eclipse.datatools.enablement.sybase.feature/org.eclipse. update.feature/1.6.1.v200809191145-7A-5E9IgKLhLGetRuu9
>>>> No repository found containing:
>>>> org.eclipse.datatools.enablement.sybase.ui/osgi.bundle/1.0.0 .v200808221518
>>>> No repository found containing:
>>>> org.eclipse.datatools.sqldevtools.data.feature/org.eclipse.u pdate.feature/1.6.1.v200809191145-30-9oA55S5SBG5ND5
>>>> No repository found containing:
>>>> org.eclipse.datatools.sqltools.data.core/osgi.bundle/1.0.0.v 200808260630
>>>> No repository found containing:
>>>> org.eclipse.datatools.sqltools.data.ui/osgi.bundle/1.1.0.v20 0808260630
>>>> No repository found containing:
>>>> org.eclipse.datatools.sqltools.tabledataeditor/osgi.bundle/1 .0.0.v200808300730
>>>>
>>>>
>>>> It also happens when I try to uninstall plugins. When I eg. try to
>>>> uninstall the C/C++ Development Platform I also get the above message.
>>>> It seems that dtp has corrupted
>>>> the eclipse update manager. Is there someway to fix this kind of
>>>> problem without reinstalling eclipse?
>>>
>>>
>>
Re: How do I repair eclipse (remove datatools)? [message #595260 is a reply to message #54863] Thu, 09 April 2009 10:03 Go to previous message
JS is currently offline JSFriend
Messages: 7
Registered: July 2009
Junior Member
Update: I have tried removing the check in "Web Tools (WTP) Update Site"
under "Manage Sites" and now I can uninstall the C++ plugin. Are there any
connection/dependency between WTP and DTP?


"JS" <asd@asd.com> wrote in message news:grkgr3$a30$1@build.eclipse.org...
> If I remove DTP from "Manage Sites" I cannot install or uninstall anything
> anymore, it just hangs (for some reason it reads from the DTP repositories
> before it can uninstall eg the C++ plugin). Seems a reinstall of eclipse
> is the only solution, even though it could be nice to know what is wrong
> with DTP.
>
>
> "Mark Leone" <midnightjava@verizon.net> wrote in message
> news:grjt68$p28$1@build.eclipse.org...
>>I had a similar problem when I first installed DTP a month or so ago. I
>>figured the repository I was pointing to with the update manager was
>>temporarily unreachable for some reason. I downloaded the zip file with
>>the DTP code and installed it from my file system.
>>
>> The errors stopped appearing, but I may have done something else as well,
>> I'm not sure. Perhaps you should click "Manage Sites" in the Software
>> Update window, and delete the DTP sites, then install DTP from your file
>> system.
>>
>> -Mark
>>
>> JS wrote:
>>> I am using eclipse:
>>>
>>> Version: 3.4.2
>>> Build id: M20090211-1700
>>>
>>> As described earlier the error does not only appear when I try to
>>> install dtp 1.6.1 but also when I try to uninstall some of the other
>>> plugins.
>>>
>>> When I look at "Installed software" I don't find any references to dtp,
>>> so I don't know why its looking in those repositories.
>>>
>>>
>>>
>>> "Brian Fitzpatrick" <brianf@sybase.com> wrote in message
>>> news:grgllu$j1a$1@build.eclipse.org...
>>>> Can anybody help out JS?
>>>>
>>>> JS, can you provide some additional details... What version of Eclipse
>>>> are you using? What version of DTP are you trying to install? Etc...
>>>>
>>>> --Fitz
>>>>
>>>> "JS" <asd@asd.com> wrote in message
>>>> news:grg8fu$8l2$1@build.eclipse.org...
>>>>> I have updated eclipse through the update manager for Vista 32 bit.
>>>>> But each time I try to install something new I get:
>>>>>
>>>>> An error occurred while collecting items to be installed
>>>>> No repository found containing:
>>>>> org.eclipse.datatools.enablement.ibm.feature/org.eclipse.upd ate.feature/1.6.0.v200804021-7D40EB7sQS9RWfUjJLb
>>>>> No repository found containing:
>>>>> org.eclipse.datatools.enablement.jdt.feature/org.eclipse.upd ate.feature/1.6.0.v200804021-1-07w311916263466
>>>>> No repository found containing:
>>>>> org.eclipse.datatools.enablement.mysql.feature/org.eclipse.u pdate.feature/1.6.0.v200804021-441_kE77c7QASCMPN
>>>>> No repository found containing:
>>>>> org.eclipse.datatools.enablement.sybase.ase/osgi.bundle/1.0. 1.v200807010411
>>>>> No repository found containing:
>>>>> org.eclipse.datatools.enablement.sybase.feature/org.eclipse. update.feature/1.6.1.v200809191145-7A-5E9IgKLhLGetRuu9
>>>>> No repository found containing:
>>>>> org.eclipse.datatools.enablement.sybase.ui/osgi.bundle/1.0.0 .v200808221518
>>>>> No repository found containing:
>>>>> org.eclipse.datatools.sqldevtools.data.feature/org.eclipse.u pdate.feature/1.6.1.v200809191145-30-9oA55S5SBG5ND5
>>>>> No repository found containing:
>>>>> org.eclipse.datatools.sqltools.data.core/osgi.bundle/1.0.0.v 200808260630
>>>>> No repository found containing:
>>>>> org.eclipse.datatools.sqltools.data.ui/osgi.bundle/1.1.0.v20 0808260630
>>>>> No repository found containing:
>>>>> org.eclipse.datatools.sqltools.tabledataeditor/osgi.bundle/1 .0.0.v200808300730
>>>>>
>>>>>
>>>>> It also happens when I try to uninstall plugins. When I eg. try to
>>>>> uninstall the C/C++ Development Platform I also get the above message.
>>>>> It seems that dtp has corrupted
>>>>> the eclipse update manager. Is there someway to fix this kind of
>>>>> problem without reinstalling eclipse?
>>>>
>>>>
>>>
>
Re: How do I repair eclipse (remove datatools)? [message #595272 is a reply to message #54891] Thu, 09 April 2009 13:52 Go to previous message
Brian Fitzpatrick is currently offline Brian FitzpatrickFriend
Messages: 500
Registered: July 2009
Senior Member
WTP is dependent on DTP, but if you install WTP it should install the
correct version of DTP along with it.

I'm not a big fan of the update manager. I just grab zips for the most part
and install them directly as Mark mentioned.

--Fitz

"JS" <asd@asd.com> wrote in message news:grkh5i$c80$1@build.eclipse.org...
> Update: I have tried removing the check in "Web Tools (WTP) Update Site"
> under "Manage Sites" and now I can uninstall the C++ plugin. Are there any
> connection/dependency between WTP and DTP?
>
>
> "JS" <asd@asd.com> wrote in message news:grkgr3$a30$1@build.eclipse.org...
>> If I remove DTP from "Manage Sites" I cannot install or uninstall
>> anything anymore, it just hangs (for some reason it reads from the DTP
>> repositories before it can uninstall eg the C++ plugin). Seems a
>> reinstall of eclipse is the only solution, even though it could be nice
>> to know what is wrong with DTP.
>>
>>
>> "Mark Leone" <midnightjava@verizon.net> wrote in message
>> news:grjt68$p28$1@build.eclipse.org...
>>>I had a similar problem when I first installed DTP a month or so ago. I
>>>figured the repository I was pointing to with the update manager was
>>>temporarily unreachable for some reason. I downloaded the zip file with
>>>the DTP code and installed it from my file system.
>>>
>>> The errors stopped appearing, but I may have done something else as
>>> well, I'm not sure. Perhaps you should click "Manage Sites" in the
>>> Software Update window, and delete the DTP sites, then install DTP from
>>> your file system.
>>>
>>> -Mark
>>>
>>> JS wrote:
>>>> I am using eclipse:
>>>>
>>>> Version: 3.4.2
>>>> Build id: M20090211-1700
>>>>
>>>> As described earlier the error does not only appear when I try to
>>>> install dtp 1.6.1 but also when I try to uninstall some of the other
>>>> plugins.
>>>>
>>>> When I look at "Installed software" I don't find any references to dtp,
>>>> so I don't know why its looking in those repositories.
>>>>
>>>>
>>>>
>>>> "Brian Fitzpatrick" <brianf@sybase.com> wrote in message
>>>> news:grgllu$j1a$1@build.eclipse.org...
>>>>> Can anybody help out JS?
>>>>>
>>>>> JS, can you provide some additional details... What version of Eclipse
>>>>> are you using? What version of DTP are you trying to install? Etc...
>>>>>
>>>>> --Fitz
>>>>>
>>>>> "JS" <asd@asd.com> wrote in message
>>>>> news:grg8fu$8l2$1@build.eclipse.org...
>>>>>> I have updated eclipse through the update manager for Vista 32 bit.
>>>>>> But each time I try to install something new I get:
>>>>>>
>>>>>> An error occurred while collecting items to be installed
>>>>>> No repository found containing:
>>>>>> org.eclipse.datatools.enablement.ibm.feature/org.eclipse.upd ate.feature/1.6.0.v200804021-7D40EB7sQS9RWfUjJLb
>>>>>> No repository found containing:
>>>>>> org.eclipse.datatools.enablement.jdt.feature/org.eclipse.upd ate.feature/1.6.0.v200804021-1-07w311916263466
>>>>>> No repository found containing:
>>>>>> org.eclipse.datatools.enablement.mysql.feature/org.eclipse.u pdate.feature/1.6.0.v200804021-441_kE77c7QASCMPN
>>>>>> No repository found containing:
>>>>>> org.eclipse.datatools.enablement.sybase.ase/osgi.bundle/1.0. 1.v200807010411
>>>>>> No repository found containing:
>>>>>> org.eclipse.datatools.enablement.sybase.feature/org.eclipse. update.feature/1.6.1.v200809191145-7A-5E9IgKLhLGetRuu9
>>>>>> No repository found containing:
>>>>>> org.eclipse.datatools.enablement.sybase.ui/osgi.bundle/1.0.0 .v200808221518
>>>>>> No repository found containing:
>>>>>> org.eclipse.datatools.sqldevtools.data.feature/org.eclipse.u pdate.feature/1.6.1.v200809191145-30-9oA55S5SBG5ND5
>>>>>> No repository found containing:
>>>>>> org.eclipse.datatools.sqltools.data.core/osgi.bundle/1.0.0.v 200808260630
>>>>>> No repository found containing:
>>>>>> org.eclipse.datatools.sqltools.data.ui/osgi.bundle/1.1.0.v20 0808260630
>>>>>> No repository found containing:
>>>>>> org.eclipse.datatools.sqltools.tabledataeditor/osgi.bundle/1 .0.0.v200808300730
>>>>>>
>>>>>>
>>>>>> It also happens when I try to uninstall plugins. When I eg. try to
>>>>>> uninstall the C/C++ Development Platform I also get the above
>>>>>> message. It seems that dtp has corrupted
>>>>>> the eclipse update manager. Is there someway to fix this kind of
>>>>>> problem without reinstalling eclipse?
>>>>>
>>>>>
>>>>
>>
>
Re: How do I repair eclipse (remove datatools)? [message #595684 is a reply to message #54918] Fri, 01 May 2009 21:26 Go to previous message
Brian Fitzpatrick is currently offline Brian FitzpatrickFriend
Messages: 500
Registered: July 2009
Senior Member
Hi again...

We're trying to narrow down a reproducible scenario to try and figure out
what's going on. We've started to collect details here:

http://wiki.eclipse.org/DTP_1.6.2_Update_Manager_Issues

Please let us know if you find out anything else and we'll continue to bang
on this.

Thanks.
--Fitz

"Brian Fitzpatrick" <brianf@sybase.com> wrote in message
news:grkuj7$ltp$1@build.eclipse.org...
> WTP is dependent on DTP, but if you install WTP it should install the
> correct version of DTP along with it.
>
> I'm not a big fan of the update manager. I just grab zips for the most
> part and install them directly as Mark mentioned.
>
> --Fitz
>
> "JS" <asd@asd.com> wrote in message news:grkh5i$c80$1@build.eclipse.org...
>> Update: I have tried removing the check in "Web Tools (WTP) Update Site"
>> under "Manage Sites" and now I can uninstall the C++ plugin. Are there
>> any connection/dependency between WTP and DTP?
>>
>>
>> "JS" <asd@asd.com> wrote in message
>> news:grkgr3$a30$1@build.eclipse.org...
>>> If I remove DTP from "Manage Sites" I cannot install or uninstall
>>> anything anymore, it just hangs (for some reason it reads from the DTP
>>> repositories before it can uninstall eg the C++ plugin). Seems a
>>> reinstall of eclipse is the only solution, even though it could be nice
>>> to know what is wrong with DTP.
>>>
>>>
>>> "Mark Leone" <midnightjava@verizon.net> wrote in message
>>> news:grjt68$p28$1@build.eclipse.org...
>>>>I had a similar problem when I first installed DTP a month or so ago. I
>>>>figured the repository I was pointing to with the update manager was
>>>>temporarily unreachable for some reason. I downloaded the zip file with
>>>>the DTP code and installed it from my file system.
>>>>
>>>> The errors stopped appearing, but I may have done something else as
>>>> well, I'm not sure. Perhaps you should click "Manage Sites" in the
>>>> Software Update window, and delete the DTP sites, then install DTP from
>>>> your file system.
>>>>
>>>> -Mark
>>>>
>>>> JS wrote:
>>>>> I am using eclipse:
>>>>>
>>>>> Version: 3.4.2
>>>>> Build id: M20090211-1700
>>>>>
>>>>> As described earlier the error does not only appear when I try to
>>>>> install dtp 1.6.1 but also when I try to uninstall some of the other
>>>>> plugins.
>>>>>
>>>>> When I look at "Installed software" I don't find any references to
>>>>> dtp, so I don't know why its looking in those repositories.
>>>>>
>>>>>
>>>>>
>>>>> "Brian Fitzpatrick" <brianf@sybase.com> wrote in message
>>>>> news:grgllu$j1a$1@build.eclipse.org...
>>>>>> Can anybody help out JS?
>>>>>>
>>>>>> JS, can you provide some additional details... What version of
>>>>>> Eclipse are you using? What version of DTP are you trying to install?
>>>>>> Etc...
>>>>>>
>>>>>> --Fitz
>>>>>>
>>>>>> "JS" <asd@asd.com> wrote in message
>>>>>> news:grg8fu$8l2$1@build.eclipse.org...
>>>>>>> I have updated eclipse through the update manager for Vista 32 bit.
>>>>>>> But each time I try to install something new I get:
>>>>>>>
>>>>>>> An error occurred while collecting items to be installed
>>>>>>> No repository found containing:
>>>>>>> org.eclipse.datatools.enablement.ibm.feature/org.eclipse.upd ate.feature/1.6.0.v200804021-7D40EB7sQS9RWfUjJLb
>>>>>>> No repository found containing:
>>>>>>> org.eclipse.datatools.enablement.jdt.feature/org.eclipse.upd ate.feature/1.6.0.v200804021-1-07w311916263466
>>>>>>> No repository found containing:
>>>>>>> org.eclipse.datatools.enablement.mysql.feature/org.eclipse.u pdate.feature/1.6.0.v200804021-441_kE77c7QASCMPN
>>>>>>> No repository found containing:
>>>>>>> org.eclipse.datatools.enablement.sybase.ase/osgi.bundle/1.0. 1.v200807010411
>>>>>>> No repository found containing:
>>>>>>> org.eclipse.datatools.enablement.sybase.feature/org.eclipse. update.feature/1.6.1.v200809191145-7A-5E9IgKLhLGetRuu9
>>>>>>> No repository found containing:
>>>>>>> org.eclipse.datatools.enablement.sybase.ui/osgi.bundle/1.0.0 .v200808221518
>>>>>>> No repository found containing:
>>>>>>> org.eclipse.datatools.sqldevtools.data.feature/org.eclipse.u pdate.feature/1.6.1.v200809191145-30-9oA55S5SBG5ND5
>>>>>>> No repository found containing:
>>>>>>> org.eclipse.datatools.sqltools.data.core/osgi.bundle/1.0.0.v 200808260630
>>>>>>> No repository found containing:
>>>>>>> org.eclipse.datatools.sqltools.data.ui/osgi.bundle/1.1.0.v20 0808260630
>>>>>>> No repository found containing:
>>>>>>> org.eclipse.datatools.sqltools.tabledataeditor/osgi.bundle/1 .0.0.v200808300730
>>>>>>>
>>>>>>>
>>>>>>> It also happens when I try to uninstall plugins. When I eg. try to
>>>>>>> uninstall the C/C++ Development Platform I also get the above
>>>>>>> message. It seems that dtp has corrupted
>>>>>>> the eclipse update manager. Is there someway to fix this kind of
>>>>>>> problem without reinstalling eclipse?
>>>>>>
>>>>>>
>>>>>
>>>
>>
>
>
Previous Topic:A few last-minute changes to DTP APIs (sorry for late notice)
Next Topic:Re: Can't install a thing
Goto Forum:
  


Current Time: Wed Dec 02 13:52:53 GMT 2020

Powered by FUDForum. Page generated in 0.02253 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top